<?php
// Stars v0.0.2
// Bug fixed since 0.0.1


require("./global.php");

adminlog(iif($starid!=0,"star id = $starid",""));

cpheader();

if (isset($action)==0) {
  $action="modify";
}

// ###################### Start add #######################
if ($action=="add") {

  doformheader("stars","insert");
  maketableheader("Add a new stars level");

  makeinputcode("Stars shown","starlevel");
  makeinputcode("Star image shown (do not add .gif!)","starimg");
  makeinputcode("Minimum posts required","minposts");

  doformfooter();
}

// ###################### Start insert #######################
if ($action=="insert") {

  $DB_site->query("INSERT INTO stars (starid,starlevel,minposts,starimg) VALUES (NULL,'$starlevel','$minposts','$starimg')");

  $action="modify";

  echo "<p>Record added</p>";
  echo "<p>It is recommended that you <a href=\"misc.php?s=$session[sessionhash]\">update user titles</a> when you are done.</p>";

}

// ###################### Start edit #######################
if ($action=="edit") {

  $stars=$DB_site->query_first("SELECT starlevel,minposts,starimg FROM stars WHERE starid='$starid'");

  doformheader("stars","doupdate");
  makehiddencode("starid","$starid");
  maketableheader("Edit this star level");

  makeinputcode("Stars shown","starlevel",$stars[starlevel]);
  makeinputcode("Star image shown (do not add .gif!)","starimg",$stars[starimg]);
  makeinputcode("Minimum posts required","minposts",$stars[minposts]);

  doformfooter();

}

// ###################### Start do update #######################
if ($action=="doupdate") {

  $DB_site->query("UPDATE stars SET starlevel='$starlevel',minposts=$minposts,starimg='$starimg' WHERE starid='$starid'");

  echo "<p>Record updated!</p>";

  echo "<p>It is recommended that you <a href=\"misc.php?s=$session[sessionhash]\">update user titles</a> when you are done.</p>";

  $action="modify";

}
// ###################### Start Remove #######################

if ($action=="remove") {

  echo "<p>Are you sure you want to delete the selected record?</p>\n";
  echo "<p><a href='stars.php?s=$session[sessionhash]&starid=$starid&action=kill'>Yes</a></p>";

}

// ###################### Start Kill #######################

if ($action=="kill") {

  $DB_site->query("DELETE FROM stars WHERE starid=$starid");

  echo "<p>It is recommended that you <a href=\"misc.php?s=$session[sessionhash]\">update user titles</a> when you are done.</p>";

  $action="modify";
}

// ###################### Start modify #######################
if ($action=="modify") {

  $stars=$DB_site->query("SELECT starid,starlevel,minposts,starimg FROM stars ORDER BY minposts");

  echo "<ul>";

  while ($star=$DB_site->fetch_array($stars)) {
	$sli = 0;
	while ($sli < $star[starlevel]) {
	  $stard .= "<img src=\"../images/stars/$star[starimg].gif\" border=0>";
	  ++$sli;
	}

    echo "<li>$stard (Minimum Posts: $star[minposts])".
			makelinkcode("edit","stars.php?s=$session[sessionhash]&action=edit&starid=$star[starid]").
			makelinkcode("remove","stars.php?s=$session[sessionhash]&action=remove&starid=$star[starid]").
			"</li>\n";
	$stard = "";

  }

  echo "</ul><p>That's all folks</p>";

}

cpfooter();
?>